
//查询企业
function Search_Company()
{
		var Url;
		var Trade,Property,Employee,WorkPlace,RegDate,Key;
	
		Trade		= document.getElementById("ddl_Trade").value;
		Property	= document.getElementById("ddl_Property").value;
		Employee	= document.getElementById("ddl_Employee").value;
		WorkPlace	= document.getElementById("ddl_WorkPlace").value;
		RegDate		= document.getElementById("RegDate").value;
		Key			= document.getElementById("Key").value;
	
		Url = "Company_Search_Result.aspx?Trade="+ Trade +"&Property="+ Property +"&Employee="+ Employee +"&WorkPlace="+ WorkPlace +"&RegDate="+ RegDate +"&Key="+ Key;
		window.location.href = Url;
}
//以XML求取lib_WishTrainBox的数据
function XmlPost_WishTrainBoxs(obj) {
    var svalue = obj.value;
    var webFileUrl = "?wishTrainid=" + svalue;
    var result = "";
    var xmlHttp = createXMLHttp();
    xmlHttp.open("POST", webFileUrl, false);
    xmlHttp.send("");
    result = xmlHttp.responseText;
    if (result != "") {
        document.getElementById("ddl_Trade").length = 0;
        var piArray = result.split(",");
        for (var i = 0; i < piArray.length; i++) {
            var ary = piArray[i].toString().split("|");
            document.getElementById("ddl_Trade").options.add(new Option(ary[1].toString(), ary[0].toString()));
        }
    }
    else {
        alert(result);
    }
}
//查询职位
function Search_Job()
	{
		var Url;
		var JobType,WorkPlace,Trade,JobProperty,PublishDate,Key;
		
		JobType		= document.getElementById("hid_JobTypeSub").value;
		WorkPlace	= document.getElementById("hid_WorkPlaceCity").value;
		Trade = document.getElementById("hid_TradeType").value;
		JobProperty	= document.getElementById("ddl_JobProperty").value;
		PublishDate	= document.getElementById("ddl_PublishDate").value;
		Key			= document.getElementById("txt_Key").value;
	
		Url = "Job_Search_Result.aspx?JobType="+ JobType +"&WorkPlace="+ WorkPlace +"&Trade="+ Trade +"&JobProperty="+ JobProperty +"&PublishDate="+ PublishDate +"&Key="+ Key;
		window.location.href = Url;
}

//查询个人会员
function Search_Person()
{
		var Url;
		var WorkPlace,Sex,Degree,RegDate,Key;
	
		WorkPlace	= document.getElementById("ddl_WorkPlace").value;
		Sex			= document.getElementById("ddl_Sex").value;
		Degree		= document.getElementById("ddl_Degree").value;
		RegDate		= document.getElementById("RegDate").value;
		Key			= document.getElementById("Key").value;
	
		Url = "Person_Search_Result.aspx?WorkPlace="+ WorkPlace +"&Sex="+ Sex +"&Degree="+ Degree +"&RegDate="+ RegDate +"&Key="+ Key;
		window.location.href = Url;
}

//查询简历
function Search_Resume()
{
		var Url;
		var JobType,WishWorkPlace,Trade,JobProperty,Degree,WorkYears,Sex,MinAge,MaxAge,Language,VisitState,PublishDate,Key;
	
		JobType			= document.getElementById("hid_JobTypeSub").value;
		WishWorkPlace	= document.getElementById("hid_WishWorkPlaceCity").value;
		Trade			= document.getElementById("ddl_Trade").value;
		JobProperty	    = document.getElementById("ddl_JobProperty").value; 
		Degree			= document.getElementById("ddl_Degree").value;
		WorkYears		= document.getElementById("ddl_WorkYears").value;
		Sex				= document.getElementById("ddl_Sex").value;
		MinAge			= document.getElementById("ddl_MinAge").value;
		MaxAge			= document.getElementById("ddl_MaxAge").value;
		Language		= document.getElementById("ddl_Language").value;
		VisitState		= document.getElementById("ddl_VisitState").value;
		PublishDate		= document.getElementById("ddl_PublishDate").value;
		Key				= document.getElementById("txt_Key").value;
	
	
		Url = "Person_Resume_SearchResult.aspx?JobType="+ JobType +"&Trade="+ Trade +"&WishWorkPlace="+ WishWorkPlace +"&JobProperty="+ JobProperty +"&Degree="+ Degree +"&WorkYears="+WorkYears  +"&Sex="+ Sex +"&MinAge="+ MinAge +"&MaxAge="+ MaxAge +"&Language="+ Language +"&VisitState="+ VisitState +"&PublishDate="+ PublishDate +"&Key="+ Key;
		window.location.href = Url;
}

//查询猎头职位
function Search_HeadhuntJob()
{
		var Url;
		var Trade,Key;

		Trade = document.getElementById("hid_trade").value;
		Key			= document.getElementById("Key").value;
	
		Url = "Headhunt_Search_Result.aspx?Trade="+ Trade +"&Key="+ Key;
		window.location.href = Url;
}

//查询兼职职位
function Search_PluralityJob()
{
		var Url;
		var Trade,Key;
	
		Trade		= document.getElementById("ddl_JobType").value;
		Key			= document.getElementById("Key").value;
	
		Url = "Plurality_Search_Result.aspx?Trade="+ Trade +"&Key="+ Key;
		window.location.href = Url;
}

//查询培训机构
function Search_Train()
{
		var Url;
		var Property,WorkPlace,RegDate,Key;
	
		Property	= document.getElementById("ddl_Property").value;
		WorkPlace	= document.getElementById("ddl_WorkPlace").value;
		RegDate		= document.getElementById("RegDate").value;
		Key			= document.getElementById("Key").value;
	
		Url = "Train_Search_Result.aspx?Property="+ Property +"&WorkPlace="+ WorkPlace +"&RegDate="+ RegDate +"&Key="+ Key;
	    window.location.href = Url;
}
	
//查询院校
function Search_Campus()
{
		var Url;
		var Property,WorkPlace,RegDate,Key;
	
		Property	= document.getElementById("ddl_Property").value;
		WorkPlace	= document.getElementById("ddl_WorkPlace").value;
		RegDate		= document.getElementById("RegDate").value;
		Key			= document.getElementById("Key").value;
	
		Url = "Campus_Search_Result.aspx?Property="+ Property +"&WorkPlace="+ WorkPlace +"&RegDate="+ RegDate +"&Key="+ Key;
	    window.location.href = Url;
}
	
//查询文章
function Search_Info()
{
		var Url;
		var Typeid,PublishDate,Key;
	
		Typeid		= document.getElementById("hid_TypeSubid").value;
		PublishDate	= document.getElementById("PublishDate").value;
		Key			= document.getElementById("Key").value;
	
		Url = "Info_Search_Result.aspx?Typeid="+ Typeid +"&PublishDate="+ PublishDate +"&Key="+ Key;
	    window.location.href = Url;
}

	
//查询招聘会
function Search_JobFair()
{
    var Key = document.getElementById("Key").value;
    var Url = "JobFair_Search.aspx?Key="+ Key;
    window.location.href = Url;
}

//查询企业统计
function Search_Analyse_Company()
{
		var Url;
		var Trade,Property,Employee,WorkPlace,RegDate,Key;
	
		Trade		= document.getElementById("ddl_Trade").value;
		Property	= document.getElementById("ddl_Property").value;
		Employee	= document.getElementById("ddl_Employee").value;
		WorkPlace	= document.getElementById("ddl_WorkPlace").value;
		RegDate		= document.getElementById("RegDate").value;
		Key			= document.getElementById("Key").value;
	
		Url = "Analyse_Company_Result.aspx?Trade="+ Trade +"&Property="+ Property +"&Employee="+ Employee +"&WorkPlace="+ WorkPlace +"&RegDate="+ RegDate +"&Key="+ Key;
	    window.location.href = Url;
}

//查询个人统计
function Search_Analyse_Person()
{
		var Url;
		var WorkPlace,Sex,Degree,RegDate,Key;
	
		WorkPlace	= document.getElementById("ddl_WorkPlace").value;
		Sex			= document.getElementById("ddl_Sex").value;
		Degree		= document.getElementById("ddl_Degree").value;
		RegDate		= document.getElementById("RegDate").value;
		Key			= document.getElementById("Key").value;
	
		Url = "Analyse_Person_Result.aspx?WorkPlace="+ WorkPlace +"&Sex="+ Sex +"&Degree="+ Degree +"&RegDate="+ RegDate +"&Key="+ Key;
	    window.location.href = Url;
}

//查询广告位
function Search_Ads()
{
    var Key = document.getElementById("Key").value;
    var Url = "Other_Ads_Search.aspx?Key="+ Key;
    window.location.href = Url;
}

//查询友情连接
function Search_Link()
{
    var Key = document.getElementById("Key").value;
    var Url = "Other_Link_Search.aspx?Key="+ Key;
    window.location.href = Url;
}

//查询微职位
function Search_SimpleJob()
{
    var Key = document.getElementById("Key").value;
    var Url = "Simple_Job_Search.aspx?Key="+ Key;
    window.location.href = Url;
}

//查询微简历
function Search_SimplePerson()
{
    var Key = document.getElementById("Key").value;
    var Url = "Simple_Person_Search.aspx?Key="+ Key;
    window.location.href = Url;
}

//查询分站
function Search_SubWeb(){
    var Key = document.getElementById("Key").value;
    var Url = "Web_manage.aspx?Key=" + Key;
    window.location.href = Url;
}

//业务员查询企业
function Search_Sales_Company()
{
		var Url;
		var Trade,Property,Employee,WorkPlace,RegDate,Key;

		Trade = document.getElementById("hid_trade").value;
		Property	= document.getElementById("ddl_Property").value;
		Employee	= document.getElementById("ddl_Employee").value;
		WorkPlace	= document.getElementById("ddl_WorkPlace").value;
		RegDate		= document.getElementById("RegDate").value;
		Key			= document.getElementById("Key").value;
	
		Url = "Company_SearchResult.aspx?Trade="+ Trade +"&Property="+ Property +"&Employee="+ Employee +"&WorkPlace="+ WorkPlace +"&RegDate="+ RegDate +"&Key="+ Key;
	    window.location.href = Url;
}

//业务员查询简历
function Search_Sales_Resume()
{
		var Url;
		var Comid,Username,Jobid,JobType,WishWorkPlace,Trade,JobProperty,Degree,WorkYears,Sex,MinAge,MaxAge,PublishDate,Key;
	
		Comid			= document.getElementById("hid_Comid").value;
		Username		= document.getElementById("hid_Username").value;
		Jobid			= document.getElementById("hid_Jobid").value;
		JobType			= document.getElementById("hid_JobTypeSub").value;
		WishWorkPlace	= document.getElementById("hid_WishWorkPlaceCity").value;
		Trade = document.getElementById("hid_trade").value;
		JobProperty	    = document.getElementById("ddl_JobProperty").value; 
		Degree			= document.getElementById("ddl_Degree").value;
		WorkYears		= document.getElementById("ddl_WorkYears").value;
		Sex				= document.getElementById("ddl_Sex").value;
		MinAge			= document.getElementById("ddl_MinAge").value;
		MaxAge			= document.getElementById("ddl_MaxAge").value;
		PublishDate		= document.getElementById("ddl_PublishDate").value;
		Key				= document.getElementById("txt_Key").value;
	
		Url = "Job_ResumeResult.aspx?Comid="+ Comid +"&Username="+ Username +"&Jobid="+ Jobid +"&JobType="+ JobType +"&Trade="+ Trade +"&WishWorkPlace="+ WishWorkPlace +"&JobProperty="+ JobProperty +"&Degree="+ Degree +"&WorkYears="+WorkYears  +"&Sex="+ Sex +"&MinAge="+ MinAge +"&MaxAge="+ MaxAge +"&PublishDate="+ PublishDate +"&Key="+ Key;
	    window.location.href = Url;
}

//全选和取消
function SetAllChecked(tempControl)
{
	var xStatus = tempControl.checked;
	elem = tempControl.form.elements;
	for(i=0;i<elem.length;i++)
	{
		if(elem[i].type=='checkbox' && elem[i].id != xStatus.id)
		{
			if(elem[i].checked != xStatus)
				elem[i].click();
		}
	}
}